Package org.drinkless.tdlib

# Class TdApi.InputMessageStakeDice

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageContent
org.drinkless.tdlib.TdApi.InputMessageStakeDice

Enclosing class:
  `TdApi`

public static class TdApi.InputMessageStakeDice extends TdApi.InputMessageContent
A stake dice message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageContent

  `TdApi.InputMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `clearDraft`
  True, if the chat message draft must be deleted.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `stakeToncoinAmount`
  The Toncoin amount that will be staked; in the smallest units of the currency.
  `String`
  `stateHash`
  Hash of the stake dice state.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageStakeDice()`
  A stake dice message.
  `InputMessageStakeDice(String stateHash, long stakeToncoinAmount, boolean clearDraft)`
  A stake dice message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stateHash

    public String stateHash
    Hash of the stake dice state. The state hash can be used only if it was received recently enough. Otherwise, a new state must be requested using getStakeDiceState.

  - ### stakeToncoinAmount

    public long stakeToncoinAmount
    The Toncoin amount that will be staked; in the smallest units of the currency. Must be in the range getOption("stake_dice_stake_amount_min")-getOption("stake_dice_stake_amount_max").

  - ### clearDraft

    public boolean clearDraft
    True, if the chat message draft must be deleted.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageStakeDice

    public InputMessageStakeDice()
    A stake dice message.

  - ### InputMessageStakeDice

    public InputMessageStakeDice(String stateHash, long stakeToncoinAmount, boolean clearDraft)
    A stake dice message.
    Parameters:
      `stateHash` - Hash of the stake dice state. The state hash can be used only if it was received recently enough. Otherwise, a new state must be requested using getStakeDiceState.
      `stakeToncoinAmount` - The Toncoin amount that will be staked; in the smallest units of the currency. Must be in the range getOption("stake_dice_stake_amount_min")-getOption("stake_dice_stake_amount_max").
      `clearDraft` - True, if the chat message draft must be deleted.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageContent`
    Returns:
      this.CONSTRUCTOR